<template>
  <div class="content-map">
    <left-nav
      :is-open.sync="isLeftNavOpen"
      :displayed-lines.sync="displayedLines"
    />

    <metrocheck-feature-summary :value="featureSummary" />

    <metrocheck-hud :displayed-lines="displayedLines" />

    <v-btn
      absolute
      dark
      fab
      bottom
      left
      style="bottom: 1em"
      @click.stop="isLeftNavOpen = !isLeftNavOpen"
    >
      <v-icon>mdi-map-check</v-icon>
    </v-btn>

    <div
      v-if="loading"
      class="d-flex justify-center align-center"
      style="height: 80vh"
    >
      <v-progress-circular :indeterminate="true" />
    </div>
    <!--suppress CheckEmptyScriptTag -->
    <metrocheck-main-map
      v-else
      :displayed-lines.sync="displayedLines"
      :feature-hovered.sync="featureHovered"
    />
  </div>
</template>

<script>
  import MetrocheckMainMap from '../components/MainMap'
  import MetrocheckHud from '../components/Hud'
  import LeftNav from '../components/LeftNav'
  import { mapState } from 'vuex'
  import MetrocheckFeatureSummary from '../components/Map/FeatureSummary'

  export default {
    name: 'Map',

    components: {
      MetrocheckFeatureSummary,
      MetrocheckHud,
      MetrocheckMainMap,
      LeftNav,
    },

    data: () => ({
      isLeftNavOpen: false,
      displayedPositions: [],
      displayedLines: [1, 2, 5, 6],
      featureHovered: null,
    }),

    computed: {
      ...mapState(['arePositionsLoading', 'arePointsLoading']),
      loading: function () {
        return this.arePositionsLoading || this.arePointsLoading
      },
      featureSummary: function () {
        return this.featureHovered
      },
    },
  }
</script>

<style>
  .content-map {
    height: 100%;
  }
</style>
